"antlr.i586" needed to be uninstalled due to my friend tampering with it. now I can't reinstall it!

Issues related to software problems
kinesis
Posts: 4
Joined: 2010/06/13 19:49:27
Contact:

"antlr.i586" needed to be uninstalled due to my friend tampering with it. now I can't reinstall it!

Postby kinesis » 2010/06/13 20:07:12

CENTOS 4.8 (or whatever version is appropriate for this kernel)

Linux lunar.server.com 2.6.9-89.0.25.ELsmp #1 SMP Thu May 6 12:28:03 EDT 2010 i686 i686 i386 GNU/Linux

Hi, yes that's right.

It was listed in yum list *antlr* as antlr.i586 and it had a version number or string.

But it was tampered with when my friend mistakingly installed by hand an unknown and to my guess, incorrect antlr RPM, which broke it.

So I am forced to uninstall antlr.i586 using yum remove antlr.i586 which was successful, the package was removed after pressing y and hitting enter.

Now I cannot reinstall the antlr.i586 package fresh as I had desired. Please help.

When I try to install it again:

Code: Select all

[root@lunar x]# yum install antlr antlr-c++-devel
Loading "priorities" plugin
Setting up Install Process
Setting up repositories
Reading repository metadata in from local files
444 packages excluded due to repository priority protections
Parsing package install arguments
No Match for argument: antlr
No Match for argument: antlr-c++-devel
Nothing to do
You have new mail in /var/spool/mail/root
[root@lunar x]# yum list a*
Loading "priorities" plugin
Setting up repositories
Reading repository metadata in from local files
444 packages excluded due to repository priority protections
You have new mail in /var/spool/mail/root
[root@lunar ~]# yum install antlr
Loading "priorities" plugin
Setting up Install Process
Setting up repositories
update                    100% |=========================|  951 B    00:00
rpmforge                  100% |=========================| 1.1 kB    00:00
base                      100% |=========================| 1.1 kB    00:00
addons                    100% |=========================|  951 B    00:00
extras                    100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
444 packages excluded due to repository priority protections
Parsing package install arguments
No Match for argument: antlr
Nothing to do
[root@lunar ~]# yum install antlr.i586
Loading "priorities" plugin
Setting up Install Process
Setting up repositories
Reading repository metadata in from local files
444 packages excluded due to repository priority protections
Parsing package install arguments
No Match for argument: antlr.i586
Nothing to do
[root@lunar ~]# yum update antlr.i586
Loading "priorities" plugin
Setting up Update Process
Setting up repositories
Reading repository metadata in from local files
444 packages excluded due to repository priority protections
Could not find update match for antlr.i586
No Packages marked for Update/Obsoletion
[root@lunar ~]# yum list *antlr*
Loading "priorities" plugin
Setting up repositories
Reading repository metadata in from local files
444 packages excluded due to repository priority protections
[root@lunar ~]# ls /etc/yum.repos.d/
CentOS-Base.repo  CentOS-Media.repo  mirrors-rpmforge  rpmforge.repo  rpmforge-testing.repo
[root@lunar ~]# antlr
bash: antlr: command not found
[root@lunar ~]# which antlr
/usr/bin/which: no antlr in (/usr/local/sbin:/usr/sbin:/sbin:/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/bin:/bin:/usr/bin:/usr/X11R6/bin:/home/k/bin)
[root@lunar ~]# locate antlr
/usr/share/emacs/21.3/lisp/progmodes/antlr-mode.elc
/mnt/extra/root/librets-1.5.1/project/build/ac-macros/antlr.m4
/mnt/extra/root/librets-1.5.1/project/build/antlr_xcode.sh
/mnt/extra/www/mywebsite.com/doc-root/backend/librets-1.5.1/project/build/antlr_xcode.sh
/mnt/extra/www/mywebsite.com/doc-root/backend/librets-1.5.1/project/build/ac-macros/antlr.m4
/mnt/extra/www/mywebsite.com/doc-root/backend/librets-1.5.1/build/librets/antlr
[root@lunar ~]#


Of course we are working on a project with mywebsite.com that relies on antlr being there, so this is causing some stress for us.

Any input would be appreciated. Thank you!
:-o (trying not to panic)

User avatar
toracat
Forum Moderator
Posts: 7230
Joined: 2006/09/03 16:37:24
Location: California, US
Contact:

"antlr.i586" needed to be uninstalled due to my friend tampe

Postby toracat » 2010/06/13 21:07:06

I don't think CentOS-4 provides antlr. Even if it does, it would be either for i386 or x86_64 but not i586. CentOS-5 has the package but again, no i586.

User avatar
toracat
Forum Moderator
Posts: 7230
Joined: 2006/09/03 16:37:24
Location: California, US
Contact:

Re: "antlr.i586" needed to be uninstalled due to my friend tampering with it. now I can't reinstall it!

Postby toracat » 2010/06/13 23:27:25

You can do a search, if you wish, by going to the site recently set up by a CentOS community member, lystor :

http://pkg.org.ua/

kinesis
Posts: 4
Joined: 2010/06/13 19:49:27
Contact:

Re: "antlr.i586" needed to be uninstalled due to my friend tampering with it. now I can't reinstall it!

Postby kinesis » 2010/06/14 03:17:07

So how would I install this package?

http://pkg.org.ua/en/pkg/info/21/3609630/

In specific - what commands would be necessary?

Code: Select all


[root@lunar doc-root]# wget ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/jpackage/5.0/generic/free/RPMS/antlr-2.7.6-6.jpp5.noarch.rpm
--20:46:59--  ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/jpackage/5.0/generic/free/RPMS/antlr-2.7.6-6.jpp5.noarch.rpm
           => `antlr-2.7.6-6.jpp5.noarch.rpm'
Resolving sunsite.informatik.rwth-aachen.de... 137.226.34.227
Connecting to sunsite.informatik.rwth-aachen.de|137.226.34.227|:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD /pub/Linux/jpackage/5.0/generic/free/RPMS ... done.
==> PASV ... done.    ==> RETR antlr-2.7.6-6.jpp5.noarch.rpm ... done.
Length: 353,216 (345K) (unauthoritative)

100%[======================================>] 353,216      310.81K/s

20:47:02 (310.04 KB/s) - `antlr-2.7.6-6.jpp5.noarch.rpm' saved [353216]

[root@lunar doc-root]# ls
antlr-2.7.6-6.jpp5.noarch.rpm  inc_db.inc  mapiconmaker.js     property.php
backend                        index.php   mlsimg
google_maps.php                index.php~  mlsscheme.txt
images                         main.php    nolasearchfrm.html
[root@lunar doc-root]#



I now have the RPM. What do you suggest I do now? rpm -i antlr-2.7.6-6.jpp5.noarch.rpm ? Or do you recommend specific flags.

kinesis
Posts: 4
Joined: 2010/06/13 19:49:27
Contact:

Re: "antlr.i586" needed to be uninstalled due to my friend tampering with it. now I can't reinstall it!

Postby kinesis » 2010/06/14 04:26:27

I have to double post, I am new and could not find the edit button.


Last problem I'm facing my friends is pasted below:

Code: Select all

[root@lunar doc-root]# rpm -i antlr*
warning: antlr-2.7.6-6.jpp5.noarch.rpm: V3 DSA signature: NOKEY, key ID c431416d
[root@lunar doc-root]# antlr
Exception in thread "main" java.lang.NoClassDefFoundError: while resolving class: antlr.Tool
   at java.lang.VMClassLoader.resolveClass(java.lang.Class) (/usr/lib/libgcj.so.5.0.0)
   at java.lang.Class.initializeClass() (/usr/lib/libgcj.so.5.0.0)
   at java.lang.Class.forName(java.lang.String, boolean, java.lang.ClassLoader) (/usr/lib/libgcj.so.5.0.0)
   at java.lang.Class.forName(java.lang.String) (/usr/lib/libgcj.so.5.0.0)
   at gnu.gcj.runtime.FirstThread.run() (/usr/lib/libgcj.so.5.0.0)
   at _Jv_ThreadRun(java.lang.Thread) (/usr/lib/libgcj.so.5.0.0)
   at _Jv_RunMain(java.lang.Class, byte const, int, byte const, boolean) (/usr/lib/libgcj.so.5.0.0)
   at __gcj_personality_v0 (/mnt/extra/www/myfixerupper.com/doc-root/java.version=1.4.2)
   at __libc_start_main (/lib/tls/libc-2.3.4.so)
   at _Jv_RegisterClasses (/mnt/extra/www/myfixerupper.com/doc-root/java.version=1.4.2)
Caused by: java.lang.ClassNotFoundException: java.lang.StringBuilder not found in [file:/usr/share/java/antlr.jar, file:/usr/share/java/libgcj-3.4.6.jar, file:./, core:/]
   at java.net.URLClassLoader.findClass(java.lang.String) (/usr/lib/libgcj.so.5.0.0)
   at gnu.gcj.runtime.VMClassLoader.findClass(java.lang.String) (/usr/lib/libgcj.so.5.0.0)
   at java.lang.ClassLoader.loadClass(java.lang.String, boolean) (/usr/lib/libgcj.so.5.0.0)
   at _Jv_FindClass(_Jv_Utf8Const, java.lang.ClassLoader) (/usr/lib/libgcj.so.5.0.0)
   at java.lang.Class.forName(java.lang.String, boolean, java.lang.ClassLoader) (/usr/lib/libgcj.so.5.0.0)
   at _Jv_BytecodeVerifier.verify_instructions_0() (/usr/lib/libgcj.so.5.0.0)
   at _Jv_VerifyMethod(_Jv_InterpMethod) (/usr/lib/libgcj.so.5.0.0)
   at _Jv_PrepareClass(java.lang.Class) (/usr/lib/libgcj.so.5.0.0)
   at _Jv_WaitForState(java.lang.Class, int) (/usr/lib/libgcj.so.5.0.0)
   at java.lang.VMClassLoader.linkClass0(java.lang.Class) (/usr/lib/libgcj.so.5.0.0)
   at java.lang.VMClassLoader.resolveClass(java.lang.Class) (/usr/lib/libgcj.so.5.0.0)
   ...9 more
[root@lunar doc-root]#

pschaff
Retired Moderator
Posts: 18276
Joined: 2006/12/13 20:15:34
Location: Tidewater, Virginia, North America
Contact:

Re: "antlr.i586" needed to be uninstalled due to my friend tampering with it. now I can't reinstall it!

Postby pschaff » 2010/06/14 19:55:26

kinesis wrote:
I have to double post, I am new and could not find the edit button.

No problem - adding to a thread is not double-posting, and the ability of users to edit past messages is rather limited with the current forum software.

Last problem I'm facing my friends is pasted below:

I admire your optimism. :-)

....
Caused by: java.lang.ClassNotFoundException: java.lang.StringBuilder not found in [file:/usr/share/java/antlr.jar, file:/usr/share/java/libgcj-3.4.6.jar, file:./, core:/]

Looks like you are missing a required class library.